﻿namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    static void Main()
    {
        Graph graph = new Graph();

        graph.AddEdge("A", "B", 4);
        graph.AddEdge("A", "C", 2);
        graph.AddEdge("A", "D", 7);
        graph.AddEdge("B", "D", 1);
        graph.AddEdge("B", "C", 3);
        graph.AddEdge("D", "E", 5);
        graph.AddEdge("E", "F", 2);

        List<string> shortestPathList = graph.GetShortestPathList("A", "F");

        Console.WriteLine("A에서 F까지의 최단 경로 :");
        Console.WriteLine(string.Join(" -> ", shortestPathList));
    }

    #endregion
}